import collectTemplateDependencies from './collectTemplateDependencies';
import getTagProcessor from './getTagProcessor';

const processTemplateExpression = (babel, stage, p, state, options) => {
  const tagProcessor = getTagProcessor(p, state, options);
  if (tagProcessor === null) return;

  if (stage === 'extract') {
    const [quasis, expressions] = collectTemplateDependencies(babel, p, state, options);
    state.queue.push({
      path: p,
      quasis,
      expressions,
      dependencies: tagProcessor.dependencies
    });
  }
};

export default processTemplateExpression;
//# sourceMappingURL=processTemplateExpression.js.map