"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _collectTemplateDependencies = _interopRequireDefault(require("./collectTemplateDependencies"));

var _getTagProcessor = _interopRequireDefault(require("./getTagProcessor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const processTemplateExpression = (babel, stage, p, state, options) => {
  const tagProcessor = (0, _getTagProcessor.default)(p, state, options);
  if (tagProcessor === null) return;

  if (stage === 'extract') {
    const [quasis, expressions] = (0, _collectTemplateDependencies.default)(babel, p, state, options);
    state.queue.push({
      path: p,
      quasis,
      expressions,
      dependencies: tagProcessor.dependencies
    });
  }
};

var _default = processTemplateExpression;
exports.default = _default;
//# sourceMappingURL=processTemplateExpression.js.map