/**
 * This file exposes transform function that:
 * - parse the passed code to AST
 * - transforms the AST using Linaria babel preset ('./babel/index.js) and additional config defined in Linaria config file or passed to bundler configuration.
 * - runs generated CSS files through default of user-defined preprocessor
 * - generates source maps for CSS files
 * - return transformed code (without Linaria template literals), generated CSS, source maps and babel metadata from transform step.
 */
/// <reference types="node" />
import path from 'path';
import type { BabelFileResult } from '@babel/core';
import type { Options, Result } from './types';
export declare function transformUrl(url: string, outputFilename: string, sourceFilename: string, platformPath?: typeof path): string;
export declare function shouldTransformCode(code: string): boolean;
export declare function extractCssFromAst(babelFileResult: BabelFileResult, code: string, options: Options): Result;
export default function transform(code: string, options: Options): Result;
