import type { File } from '@babel/types';
import type { EventEmitter, LinariaMetadata } from '@linaria/utils';
import type { Core } from '../../babel';
import type { Entrypoint } from '../Entrypoint';
import type { ITransformAction, SyncScenarioForAction } from '../types';
type PrepareCodeFn = (babel: Core, item: Entrypoint, originalAst: File, eventEmitter: EventEmitter) => [
    code: string,
    imports: Map<string, string[]> | null,
    metadata: LinariaMetadata | null
];
export declare const prepareCode: (babel: Core, item: Entrypoint, originalAst: File, eventEmitter: EventEmitter) => [code: string, imports: Map<string, string[]> | null, metadata: LinariaMetadata | null];
export declare function internalTransform(this: ITransformAction, prepareFn: PrepareCodeFn): SyncScenarioForAction<ITransformAction>;
/**
 * Prepares the code for evaluation. This includes removing dead and potentially unsafe code.
 * Emits resolveImports and processImports events.
 */
export declare function transform(this: ITransformAction): SyncScenarioForAction<ITransformAction>;
export {};
